/*
 * FILE:   receive.h
 * AUTHOR: Alvaro Saurin <saurin@dcs.gla.ac.uk>
 *
 * Copyright (c) 2005 University of Glasgow
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Revision: 1.7 $
 * $Date: 2006/02/27 11:35:46 $
 */

#ifndef _RECEIVE_H
#define _RECEIVE_H
 
struct video_rx;
 
/* Reception context */
struct rx_ctx {
	unsigned int	fps;
};

/* Receiver initialization */
struct video_rx*	rx_init			(struct rx_ctx		*ctx,
						 struct display		*display_device,
						 struct pdb		*participants,
						 struct rtp		*network_device,
						 struct timeval		*base_time,
						 struct cc_rcvr_t	*cc_rcvr,
						 unsigned int		*working);

/* Start the reception system */
int			rx_start		(struct video_rx	*rx);

/* Stop the reception system */
void			rx_stop			(struct video_rx	*rx);

/* Stop the receiver and release resources */
void			rx_done			(struct video_rx	*rx);

/* Return TRUE if the receiver is working */
unsigned int		rx_working		(struct video_rx	*rx);


#endif
 

