/*
 * FILE:   UGNewConDialog.m
 * AUTHOR: Alvaro Saurin <saurin@dcs.gla.ac.uk>
 *
 * Copyright (c) 2005 University of Glasgow
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Revision: 1.20 $
 * $Date: 2005/10/05 13:40:13 $
 *
 */

#include "config.h"
#include "config_unix.h"
#include "debug.h"
#include "trace.h"
#include "environment.h"
#include "controller.h"

#import <Cocoa/Cocoa.h>

#import "ui/cocoa/UGRunEnv.h"
#import "ui/cocoa/UGError.h"
#import "ui/cocoa/UGController.h"
#import "ui/cocoa/UGNewConDialog.h"

@implementation UGNewConDialog

/* Called from the 'New' button in the 'New Connection' dialog */
- (IBAction)startSlot:(id)sender
{
	UNUSED (sender);
	
	[ugNewConPanel performClose:self];

	[self showRunningSlot:self];	
	[ugController start:self];
	[self hideRunningSlot:self];
}

- (IBAction)showRunningSlot:(id)sender
{
	UNUSED(sender);
	
	[ugProgress startAnimation:self];
}

- (IBAction)hideRunningSlot:(id)sender
{
	UNUSED(sender);

	[ugProgress stopAnimation:self];
}

- (void)terminate:(id)sender
{	
	UNUSED(sender);

	[ugController stop:self];	
}

@end

