#
# FILE:   ui_script.tcl
# AUTHOR: Colin Perkins <csp@csperkins.org>
#
# Copyright (c) 2001-2002 University of Southern California
# Copyright (c) 2003-2005 University of Glasgow
#
# Redistribution and use in source and binary forms, with or without
# modification, is permitted provided that the following conditions
# are met:
# 
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 
# 3. All advertising materials mentioning features or use of this software
#    must display the following acknowledgement:
# 
#      This product includes software developed by the University of Southern
#      California Information Sciences Institute.
# 
# 4. Neither the name of the University nor of the Institute may be used
#    to endorse or promote products derived from this software without
#    specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING,
# BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# $Revision: 1.4 $
# $Date: 2005/06/05 23:05:51 $
#

option add *Entry.relief       sunken 
option add *borderWidth        1
option add *highlightThickness 0
option add *Menu*tearOff       0

# -------------------------------------------------------------------------------------------------
# The participant list...

frame     .plist
scrollbar .plist.sb -orient vertical -relief flat -command ".plist.lb yview"
listbox   .plist.lb -width 25 -height 10 -yscrollcommand ".plist.sb set" -selectmode single -exportselection false 

pack .plist.sb -side left -expand 0 -fill y -anchor w 
pack .plist.lb -side left -expand 1 -fill both 
pack .plist -expand 1 -fill both

# -------------------------------------------------------------------------------------------------
# The main menu. This has the same entries as the MacOS X version of UltraGrid.

menu .main_menu -type menubar
.main_menu add cascade -menu .main_menu.ultragrid  -label "UltraGrid"
.main_menu add cascade -menu .main_menu.connection -label "Connection"
.main_menu add cascade -menu .main_menu.window     -label "Window"
.main_menu add cascade -menu .main_menu.help       -label "Help"

menu .main_menu.ultragrid
.main_menu.ultragrid add command -label "About UltraGrid"
.main_menu.ultragrid add command -label "Preferences..." -accelerator ","
.main_menu.ultragrid add separator
.main_menu.ultragrid add command -label "Hide UltraGrid" -accelerator "H"
.main_menu.ultragrid add separator
.main_menu.ultragrid add command -label "Quit UltraGrid" -accelerator "Q"

menu .main_menu.connection
.main_menu.connection add command -label "New..." -accelerator "N"
.main_menu.connection add separator
.main_menu.connection add command -label "Close" -accelerator "C"

menu .main_menu.window
.main_menu.window add command -label "Minimize" -accelerator "M"

menu .main_menu.help
.main_menu.help add command -label "UltraGrid Manual" -accelerator "?"
.main_menu.help add separator
.main_menu.help add command -label "License" 

. configure -menu .main_menu

# -------------------------------------------------------------------------------------------------

