/*
 * FILE:   firewire_dv.c
 * AUTHOR: Colin Perkins <csp@csperkins.org>
 *
 * Copyright (c) 2004-2005 University of Glasgow
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Revision: 1.2 $
 * $Date: 2005/10/19 12:14:10 $
 *
 */

#include "config.h"
#include "config_unix.h"
#include "debug.h"
#include "video_capture/firewire_dv.h"

int 
dv_frame_is_PAL(unsigned char *frame)
{
	int		 done = 0;
	unsigned char	*dif  = frame;
	unsigned char	 sct;
	unsigned char	 dseq;
	unsigned char	 dbn;
	unsigned char	 dsf;

	while (!done) {
		sct  = (unsigned) ((dif[0] & 0xe0) >> 5);
		dseq = (unsigned) ((dif[1] & 0xf0) >> 4);
		dbn  = (unsigned)   dif[2] ;
		
		switch (sct) {
		case 0 : /* Header  */
			dsf = (unsigned) ((dif[3] & 0x80) >> 7);
			return dsf;
			break;
		case 1 : /* Subcode */
			break;
		case 2 : /* VAUX    */
			break;
		case 3 : /* Audio   */
			break;
		case 4 : /* Video   */
			break;
		default: /* Unknown */
			break;
		}

		dif += 80;
	}
	return 0;
}

