/*
 * FILE:   video_codec/mpeg1_aux.h
 * AUTHOR: Alvaro Saurin <saurin@dcs.gla.ac.uk>
 *
 * Copyright (c) 2005 University of Glasgow
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Revision: 1.1 $
 * $Date: 2006/05/12 15:00:57 $
 *
 */

#ifndef _MPEG1_AUX_H
#define _MPEG1_AUX_H

struct ffmpeg_state;

/* Private structure of an encoded_frame */
struct ffmpeg_eframe {
	struct encoded_data		*nodes;
	unsigned int			 len;

	unsigned char			*buf;
	unsigned int			 buf_len;	
};

/* Compression */
struct ffmpeg_state	*ffmpeg_comp_init	(display_size_t		 size,
						 video_colour_mode_t	 cm);
void			 ffmpeg_comp_done	(struct ffmpeg_state	*s);
struct ffmpeg_eframe	*ffmpeg_comp		(struct ffmpeg_state	*s,
						 struct video_frame	*in,			 
						 unsigned int		 mtu,
						 struct vcodec_ctx_t	*ctx);
struct ffmpeg_eframe	*ffmpeg_packetize	(unsigned char		*data,
						 unsigned int		 data_len,
						 unsigned int		 mtu);

/* Decompression */
struct ffmpeg_state	*ffmpeg_decomp_init	(void);
void			 ffmpeg_decomp_done	(struct ffmpeg_state	*s);
int			 ffmpeg_decomp		(struct ffmpeg_state	*s,
						 struct coded_data	*in,
						 struct video_frame	*out);
display_size_t		 ffmpeg_decomp_get_size (struct ffmpeg_state	*s);

#endif

