/*
 * FILE:   video_display/gl.h
 * AUTHOR: Alvaro Saurin <saurin@dcs.gla.ac.uk>
 *
 * Copyright (c) 2005 University of Glasgow
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Revision: 1.1 $
 * $Date: 2005/09/27 13:21:25 $
 *
 */
#ifndef _DISPLAY_GL_H
#define _DISPLAY_GL_H

#define DISPLAY_GL_ID  0xcb3f9bca

/*
 * View port for the GL output.
 * Must be provided by upper levels when the device is initialized, using the 
 * 'data' parameter.
 */
struct gl_view_port {
	unsigned int	x;
	unsigned int	y;
	unsigned int	width;
	unsigned int	height;
	
	unsigned int	min_x;
	unsigned int	min_y;
	unsigned int	max_x;
	unsigned int	max_y;
};

display_type_t      *display_gl_probe	(display_format_t	*format,
					 const char		*display_args);

void                *display_gl_init	(display_format_t	*format,
					 const char		*display_args,
					 void			*data);
void                 display_gl_done	(void			*state);

video_colour_mode_t  display_gl_colour	(void			*state);

struct video_frame  *display_gl_getf	(void			*state,
					 display_size_t		 size,
					 video_colour_mode_t	 color);
display_result_t     display_gl_putf	(void			*state,
					 struct video_frame	*frame);

#endif

