/*
 * FILE:    test_video_codecs.c
 * AUTHORS: Colin Perkins
 *
 * Copyright (c) 2005 University of Glasgow
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, is permitted provided that the following conditions 
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#include "config.h"
#include "config_unix.h"
#include "debug.h"
#include "video_types.h"
#include "video_display.h"
#include "video_capture.h"
#include "rtp/cc.h"
#include "rtp/rtp.h"
#include "rtp/pbuf.h"
#include "video_codec.h"
#include "test_video_codecs.h"

int 
test_video_codecs(void)
{
	unsigned int		 nc;
	unsigned int		 i;
	
	printf("Testing video codecs ..................................................... Ok\n"); 

	vcodec_init();
	nc = vcodec_get_num_codecs();

	/* Get the list, looking for known codecs... */ 
	for (i = 0; i < nc; i++) {
		printf("    ");
		if (vcodec_can_packetize(i)) {
			printf ("P");
		} else {
			printf("-");
		}
		if (vcodec_can_encode(i)) {
			printf ("E");
		} else {
			printf("-");
		}
		if (vcodec_can_decode(i)) {
			printf ("D");
		} else {
			printf("-");
		}
		printf(" : %s\n", vcodec_get_description(i));
	}
		
	return 0;
}

